Bug 425818 - gdm crashes bigtime
gdm crashes bigtime
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 03:59 EST by James Morris
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 06:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (54.59 KB, text/plain)
2007-12-16 03:59 EST, James Morris
no flags Details
Xorg crash log (25.42 KB, text/plain)
2007-12-16 04:13 EST, James Morris
no flags Details
xorg.conf (645 bytes, text/plain)
2007-12-19 08:26 EST, James Morris
no flags Details
old log file -- the one which was generated during the crash, i think (23.49 KB, text/plain)
2007-12-19 08:29 EST, James Morris
no flags Details
current x.org log -- i believe the X server has tried to restart, but no display & no keyboard/mouse response (15.12 KB, text/plain)
2007-12-19 08:30 EST, James Morris
no flags Details
after reboot with no xorg.conf file (23.23 KB, text/plain)
2007-12-19 08:46 EST, James Morris
no flags Details

  None (edit)
Description James Morris 2007-12-16 03:59:09 EST
Description of problem:
I upgraded to current rawhide, and discovered that gdm crashes.  There are some
SELinux AVCs, but the problem also emerges with selinux=0

This is on a macbook.

Video h/w appears to be

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS, 943/940GML
Express Integrated Graphics Controller (rev 03)

Version-Release number of selected component (if applicable):

gdm-2.21.2-0.2007.11.20.6.fc9

See attached boot log.
Comment 1 James Morris 2007-12-16 03:59:09 EST
Created attachment 289715 [details]
boot log
Comment 2 James Morris 2007-12-16 04:13:41 EST
Created attachment 289716 [details]
Xorg crash log
Comment 3 James Morris 2007-12-16 04:16:31 EST
Ok, so haldaemon is failing to start with selinux=1.

Should that cause gdm to crash?


X is still crashing with selinux=0, see the log I just attached.
Comment 4 Ray Strode [halfline] 2007-12-17 11:40:23 EST
reassigning to X.  If X crashes there isn't much we can do for GDM.

We should fix the "segfault if hal isn't around" issue, too, of course.
Comment 5 Matěj Cepl 2007-12-19 08:03:07 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 James Morris 2007-12-19 08:26:00 EST
Created attachment 290015 [details]
xorg.conf

As requested.
Comment 7 James Morris 2007-12-19 08:29:20 EST
Created attachment 290016 [details]
old log file -- the one which was generated during the crash, i think
Comment 8 James Morris 2007-12-19 08:30:44 EST
Created attachment 290017 [details]
current x.org log -- i believe the X server has tried to restart, but no display & no keyboard/mouse response
Comment 9 James Morris 2007-12-19 08:46:37 EST
Created attachment 290020 [details]
after reboot with no xorg.conf file

Getting a similar outcome, e.g. switching to 'detailed' view during graphical
boot shows corrupted text lines (possibly just the ones being displayed, rather
than ones which were generated before display) & crash in response to action
which display the corruption.  Also happens if I wait until login then un-hide
a task bar -- the text on the task bar is corrupt & then X crashes.
Comment 10 James Morris 2007-12-19 08:49:50 EST
Also, it's a bit different this time, in that keys I type are displayed in what
looks like normal text mode, and it turns out also that I can switch to normal
VTs with "alt-FN" (don't need ctrl-).
Comment 11 Adam Jackson 2008-02-12 14:37:38 EST
What version of -drv-i810 is this with?
Comment 12 James Morris 2008-02-12 15:05:09 EST
I've since reinstalled that machine (it was unusable) and will let you know if I
go back to rawhide or similar and see it again.
Comment 13 Matěj Cepl 2008-02-12 17:37:39 EST
Setting NEEDINFO on this bug, so we won't forget we are expecting information
from the reporter.
Comment 14 Matěj Cepl 2008-04-10 06:06:35 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 15 Matěj Cepl 2008-04-14 06:59:02 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.